<fieldset id="sf_fieldset_<?php echo preg_replace('/[^a-z0-9_]/', '_', strtolower($fieldset)) ?>" class="editor">
    <?php if('NONE' != $fieldset): ?>
        <legend><?php echo __($fieldset, array(), 'messages') ?></legend>
    <?php endif; ?>

    <table cellspacing="4" cellpadding="0">

        <?php foreach($fields as $name => $field): ?>
            <?php if((isset($form[$name]) && $form[$name]->isHidden()) || (!isset($form[$name]) && $field->isReal())) continue ?>
            <?php
            include_partial('repozytorium/form_field', array(
                'name' => $name,
                'attributes' => $field->getConfig('attributes', array()),
                'label' => $field->getConfig('label'),
                'help' => $field->getConfig('help'),
                'form' => $form,
                'field' => $field,
                'class' => 'sf_admin_form_row sf_admin_'.strtolower($field->getType()).' sf_admin_form_field_'.$name,
            ))
            ?>
        <?php endforeach; ?>
    </table>
</fieldset>
