<?php

require_once dirname(__FILE__).'/../lib/repozytorium_kategoriaGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/repozytorium_kategoriaGeneratorHelper.class.php';

/**
 * repozytorium_kategoria actions.
 *
 * @package    sam3
 * @subpackage repozytorium_kategoria
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class repozytorium_kategoriaActions extends autoRepozytorium_kategoriaActions
{

    public function preExecute()
    {
        if(!in_array('repo', ModulPeer::getEnabled()))
            $this->forward404();
        
        $this->configuration = new repozytorium_kategoriaGeneratorConfiguration();

        if(!$this->getUser()->hasCredential($this->configuration->getCredentials($this->getActionName())))
        {
            $this->forward(sfConfig::get('sf_secure_module'), sfConfig::get('sf_secure_action'));
        }

        $this->dispatcher->notify(new sfEvent($this, 'admin.pre_execute', array('configuration' => $this->configuration)));

        $this->helper = new repozytorium_kategoriaGeneratorHelper();
    }

}