<?php include_stylesheets_for_form($form) ?>
<?php include_javascripts_for_form($form) ?>

<div class="sf_admin_form">
    <?php echo form_tag_for($form, '@repozytorium_kategoria', array('name' => 'repozytorium_kategoria_form')) ?>
    <?php echo $form->renderHiddenFields() ?>

    <ul class="error_list">
        <?php foreach($form->getErrorsNice() as $key => $value): ?>
            <li><?php echo $key ?>. <?php echo $value ?></li>
        <?php endforeach; ?>
    </ul>

    <div class="cl"></div>

    <?php foreach($configuration->getFormFields($form, $form->isNew() ? 'new' : 'edit') as $fieldset => $fields): ?>
        <?php include_partial('repozytorium_kategoria/form_fieldset', array('repozytorium_kategoria' => $repozytorium_kategoria, 'form' => $form, 'fields' => $fields, 'fieldset' => $fieldset)) ?>
    <?php endforeach; ?>

    <div style="float: right;">
        <?php include_partial('repozytorium_kategoria/form_actions', array('repozytorium_kategoria' => $repozytorium_kategoria, 'form' => $form, 'configuration' => $configuration, 'helper' => $helper)) ?>
    </div>
    </form>
</div>
