<?php

class CommonActions extends sfActions
{
    public function executeRepozytoriumPobierz(sfWebRequest $request)
    {
        $file_id = $request->getParameter('id');
        $file = RepozytoriumPeer::retrieveByPK($file_id);
        $this->forward404Unless($file, 'Nie ma takiego pliku');

        $file->increaseDownloads();

        ZalacznikPeer::prepareDownload($file->getNazwa().'.'.$file->getFormatPliku(), $file->getFormatPliku());
        readfile(sfConfig::get('sf_upload_dir').'/repozytorium/'.$file->getNazwaPliku());
        exit;
    }
}
?>
