-- phpMyAdmin SQL Dump
-- version 4.4.15.3
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Czas generowania: 31 Sty 2017, 11:18
-- Wersja serwera: 5.7.17-log
-- Wersja PHP: 5.4.45

SET FOREIGN_KEY_CHECKS=0;
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Baza danych: `sam3_szablon`
--

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `repozytorium`
--

CREATE TABLE IF NOT EXISTS `repozytorium` (
  `id` int(11) NOT NULL,
  `portal_id` int(11) NOT NULL,
  `sciezka` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `nazwa_pliku` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `nazwa_org` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `rozmiar_pliku` int(255) NOT NULL,
  `format_pliku` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `mime_type` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `tresc_pliku` text COLLATE utf8_polish_ci,
  `nazwa` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `opis` text COLLATE utf8_polish_ci,
  `ilosc_pobran` int(255) DEFAULT '0',
  `ilosc_dowiazan` int(255) DEFAULT '0',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `repozytorium_kategoria`
--

CREATE TABLE IF NOT EXISTS `repozytorium_kategoria` (
  `id` int(11) NOT NULL,
  `portal_id` int(11) NOT NULL,
  `nazwa` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `opis` text COLLATE utf8_polish_ci,
  `widoczna` int(1) NOT NULL DEFAULT '1',
  `kolejnosc` int(11) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `repozytorium_kategoria_map`
--

CREATE TABLE IF NOT EXISTS `repozytorium_kategoria_map` (
  `repozytorium_id` int(11) NOT NULL,
  `repozytorium_kategoria_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `repozytorium_modul_map`
--

CREATE TABLE IF NOT EXISTS `repozytorium_modul_map` (
  `repozytorium_id` int(11) NOT NULL,
  `modul_id` int(11) NOT NULL,
  `object_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

--
-- Indeksy dla zrzutów tabel
--

--
-- Indexes for table `repozytorium`
--
ALTER TABLE `repozytorium`
  ADD PRIMARY KEY (`id`),
  ADD KEY `repozytorium_FI_1` (`portal_id`);

--
-- Indexes for table `repozytorium_kategoria`
--
ALTER TABLE `repozytorium_kategoria`
  ADD PRIMARY KEY (`id`),
  ADD KEY `repozytorium_kategoria_FI_1` (`portal_id`);

--
-- Indexes for table `repozytorium_kategoria_map`
--
ALTER TABLE `repozytorium_kategoria_map`
  ADD PRIMARY KEY (`repozytorium_id`,`repozytorium_kategoria_id`),
  ADD KEY `repozytorium_kategoria_map_FI_2` (`repozytorium_kategoria_id`);

--
-- Indexes for table `repozytorium_modul_map`
--
ALTER TABLE `repozytorium_modul_map`
  ADD PRIMARY KEY (`repozytorium_id`,`modul_id`,`object_id`),
  ADD KEY `repozytorium_modul_map_FI_2` (`modul_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT dla tabeli `repozytorium`
--
ALTER TABLE `repozytorium`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `repozytorium_kategoria`
--
ALTER TABLE `repozytorium_kategoria`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- Ograniczenia dla zrzutów tabel
--

--
-- Ograniczenia dla tabeli `repozytorium`
--
ALTER TABLE `repozytorium`
  ADD CONSTRAINT `repozytorium_FK_1` FOREIGN KEY (`portal_id`) REFERENCES `portal` (`id`);

--
-- Ograniczenia dla tabeli `repozytorium_kategoria`
--
ALTER TABLE `repozytorium_kategoria`
  ADD CONSTRAINT `repozytorium_kategoria_FK_1` FOREIGN KEY (`portal_id`) REFERENCES `portal` (`id`);

--
-- Ograniczenia dla tabeli `repozytorium_kategoria_map`
--
ALTER TABLE `repozytorium_kategoria_map`
  ADD CONSTRAINT `repozytorium_kategoria_map_FK_1` FOREIGN KEY (`repozytorium_id`) REFERENCES `repozytorium` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `repozytorium_kategoria_map_FK_2` FOREIGN KEY (`repozytorium_kategoria_id`) REFERENCES `repozytorium_kategoria` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `repozytorium_modul_map`
--
ALTER TABLE `repozytorium_modul_map`
  ADD CONSTRAINT `repozytorium_modul_map_FK_1` FOREIGN KEY (`repozytorium_id`) REFERENCES `repozytorium` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `repozytorium_modul_map_FK_2` FOREIGN KEY (`modul_id`) REFERENCES `modul` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;
--
-- Zrzut danych tabeli `modul`
--

REPLACE INTO `modul` (`id`, `short`, `permissions`, `multisite`, `banners`, `nazwa`, `tab_color`, `is_menu`, `show_in_portal`) VALUES
(61, 'repo', 0, 0, 0, 'Repozytorium plików', 2, 0, 1);

SET FOREIGN_KEY_CHECKS=1;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
