<?php

/**
 * RepozytoriumKategoria form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class RepozytoriumKategoriaForm extends BaseRepozytoriumKategoriaForm
{

    public function configure()
    {
        //  WIDGETS  -----------------------------------------------------------
        $this->setWidget('portal_id', new sfWidgetFormInputHidden());
        $this->setWidget('nazwa', new sfWidgetFormInput(array(), array('class' => 'required')));
        $this->setWidget('widoczna', new sfWidgetFormChoice(array('choices' => array('0' => 'Nie', '1' => 'Tak')), array('class' => 'wymagane')));
        $this->setWidget('kolejnosc', new sfWidgetFormInputHidden());
        $this->setWidget('created_at', new sfWidgetFormInputHidden());
        $this->setWidget('updated_at', new sfWidgetFormInputHidden());        
        
        //  LABELS  ------------------------------------------------------------
        
        
        //  DEFAULTS  ----------------------------------------------------------
        $this->setDefault('portal_id', sfConfig::get('portal')->getId());
        if($this->isNew())
        {
            $this->setDefault('created_at', date('Y-m-d H:i:s'));
            $this->setDefault('kolejnosc', RepozytoriumKategoriaPeer::getMaxKolejnosc() + 1); 
        }
        else
            $this->setDefault('updated_at', date('Y-m-d H:i:s'));
            
        //  HELPS  -------------------------------------------------------------
        $this->widgetSchema->setHelp('nazwa', 'Nazwa kategorii');
        $this->widgetSchema->setHelp('opis', 'Dodatkowy opis kategorii, pojawiający się "w dymku"');
        $this->widgetSchema->setHelp('widoczna', 'Określa czy ta kategoria ma być widoczna');
        
        //  OTHER  -------------------------------------------------------------
        unset($this->widgetSchema['repozytorium_kategoria_map_list']);
        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');
    }

}