<?php



class RepozytoriumKategoriaMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.RepozytoriumKategoriaMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(RepozytoriumKategoriaPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(RepozytoriumKategoriaPeer::TABLE_NAME);
		$tMap->setPhpName('RepozytoriumKategoria');
		$tMap->setClassname('RepozytoriumKategoria');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, null);

		$tMap->addForeignKey('PORTAL_ID', 'PortalId', 'INTEGER', 'portal', 'ID', true, 11);

		$tMap->addColumn('NAZWA', 'Nazwa', 'VARCHAR', true, 255);

		$tMap->addColumn('OPIS', 'Opis', 'LONGVARCHAR', false, null);

		$tMap->addColumn('WIDOCZNA', 'Widoczna', 'INTEGER', true, 1);

		$tMap->addColumn('KOLEJNOSC', 'Kolejnosc', 'INTEGER', false, 11);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'TIMESTAMP', false, null);

	} 
} 