<?php



class RepozytoriumKategoriaMapMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.RepozytoriumKategoriaMapMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(RepozytoriumKategoriaMapPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(RepozytoriumKategoriaMapPeer::TABLE_NAME);
		$tMap->setPhpName('RepozytoriumKategoriaMap');
		$tMap->setClassname('RepozytoriumKategoriaMap');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('REPOZYTORIUM_ID', 'RepozytoriumId', 'INTEGER' , 'repozytorium', 'ID', true, null);

		$tMap->addForeignPrimaryKey('REPOZYTORIUM_KATEGORIA_ID', 'RepozytoriumKategoriaId', 'INTEGER' , 'repozytorium_kategoria', 'ID', true, null);

	} 
} 