<?php


abstract class BaseRepozytoriumKategoriaMapPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'repozytorium_kategoria_map';

	
	const CLASS_DEFAULT = 'lib.model.RepozytoriumKategoriaMap';

	
	const NUM_COLUMNS = 2;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const REPOZYTORIUM_ID = 'repozytorium_kategoria_map.REPOZYTORIUM_ID';

	
	const REPOZYTORIUM_KATEGORIA_ID = 'repozytorium_kategoria_map.REPOZYTORIUM_KATEGORIA_ID';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('RepozytoriumId', 'RepozytoriumKategoriaId', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('repozytoriumId', 'repozytoriumKategoriaId', ),
		BasePeer::TYPE_COLNAME => array (self::REPOZYTORIUM_ID, self::REPOZYTORIUM_KATEGORIA_ID, ),
		BasePeer::TYPE_FIELDNAME => array ('repozytorium_id', 'repozytorium_kategoria_id', ),
		BasePeer::TYPE_NUM => array (0, 1, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('RepozytoriumId' => 0, 'RepozytoriumKategoriaId' => 1, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('repozytoriumId' => 0, 'repozytoriumKategoriaId' => 1, ),
		BasePeer::TYPE_COLNAME => array (self::REPOZYTORIUM_ID => 0, self::REPOZYTORIUM_KATEGORIA_ID => 1, ),
		BasePeer::TYPE_FIELDNAME => array ('repozytorium_id' => 0, 'repozytorium_kategoria_id' => 1, ),
		BasePeer::TYPE_NUM => array (0, 1, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new RepozytoriumKategoriaMapMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(RepozytoriumKategoriaMapPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_ID);

		$criteria->addSelectColumn(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_KATEGORIA_ID);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(RepozytoriumKategoriaMapPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			RepozytoriumKategoriaMapPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaMapPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = RepozytoriumKategoriaMapPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return RepozytoriumKategoriaMapPeer::populateObjects(RepozytoriumKategoriaMapPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaMapPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			RepozytoriumKategoriaMapPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(RepozytoriumKategoriaMap $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = serialize(array((string) $obj->getRepozytoriumId(), (string) $obj->getRepozytoriumKategoriaId()));
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof RepozytoriumKategoriaMap) {
				$key = serialize(array((string) $value->getRepozytoriumId(), (string) $value->getRepozytoriumKategoriaId()));
			} elseif (is_array($value) && count($value) === 2) {
								$key = serialize(array((string) $value[0], (string) $value[1]));
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or RepozytoriumKategoriaMap object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null && $row[$startcol + 1] === null) {
			return null;
		}
		return serialize(array((string) $row[$startcol + 0], (string) $row[$startcol + 1]));
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = RepozytoriumKategoriaMapPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = RepozytoriumKategoriaMapPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = RepozytoriumKategoriaMapPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				RepozytoriumKategoriaMapPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

	
	public static function doCountJoinRepozytorium(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(RepozytoriumKategoriaMapPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			RepozytoriumKategoriaMapPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaMapPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_ID,), array(RepozytoriumPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doCountJoinRepozytoriumKategoria(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(RepozytoriumKategoriaMapPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			RepozytoriumKategoriaMapPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaMapPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_KATEGORIA_ID,), array(RepozytoriumKategoriaPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinRepozytorium(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		RepozytoriumKategoriaMapPeer::addSelectColumns($c);
		$startcol = (RepozytoriumKategoriaMapPeer::NUM_COLUMNS - RepozytoriumKategoriaMapPeer::NUM_LAZY_LOAD_COLUMNS);
		RepozytoriumPeer::addSelectColumns($c);

		$c->addJoin(array(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_ID,), array(RepozytoriumPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = RepozytoriumKategoriaMapPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = RepozytoriumKategoriaMapPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = RepozytoriumKategoriaMapPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				RepozytoriumKategoriaMapPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = RepozytoriumPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = RepozytoriumPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = RepozytoriumPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					RepozytoriumPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addRepozytoriumKategoriaMap($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doSelectJoinRepozytoriumKategoria(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		RepozytoriumKategoriaMapPeer::addSelectColumns($c);
		$startcol = (RepozytoriumKategoriaMapPeer::NUM_COLUMNS - RepozytoriumKategoriaMapPeer::NUM_LAZY_LOAD_COLUMNS);
		RepozytoriumKategoriaPeer::addSelectColumns($c);

		$c->addJoin(array(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_KATEGORIA_ID,), array(RepozytoriumKategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = RepozytoriumKategoriaMapPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = RepozytoriumKategoriaMapPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = RepozytoriumKategoriaMapPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				RepozytoriumKategoriaMapPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = RepozytoriumKategoriaPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = RepozytoriumKategoriaPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = RepozytoriumKategoriaPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					RepozytoriumKategoriaPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addRepozytoriumKategoriaMap($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(RepozytoriumKategoriaMapPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			RepozytoriumKategoriaMapPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaMapPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_ID,), array(RepozytoriumPeer::ID,), $join_behavior);
		$criteria->addJoin(array(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_KATEGORIA_ID,), array(RepozytoriumKategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}

	
	public static function doSelectJoinAll(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		RepozytoriumKategoriaMapPeer::addSelectColumns($c);
		$startcol2 = (RepozytoriumKategoriaMapPeer::NUM_COLUMNS - RepozytoriumKategoriaMapPeer::NUM_LAZY_LOAD_COLUMNS);

		RepozytoriumPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (RepozytoriumPeer::NUM_COLUMNS - RepozytoriumPeer::NUM_LAZY_LOAD_COLUMNS);

		RepozytoriumKategoriaPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + (RepozytoriumKategoriaPeer::NUM_COLUMNS - RepozytoriumKategoriaPeer::NUM_LAZY_LOAD_COLUMNS);

		$c->addJoin(array(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_ID,), array(RepozytoriumPeer::ID,), $join_behavior);
		$c->addJoin(array(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_KATEGORIA_ID,), array(RepozytoriumKategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = RepozytoriumKategoriaMapPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = RepozytoriumKategoriaMapPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = RepozytoriumKategoriaMapPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				RepozytoriumKategoriaMapPeer::addInstanceToPool($obj1, $key1);
			} 
			
			$key2 = RepozytoriumPeer::getPrimaryKeyHashFromRow($row, $startcol2);
			if ($key2 !== null) {
				$obj2 = RepozytoriumPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = RepozytoriumPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					RepozytoriumPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addRepozytoriumKategoriaMap($obj1);
			} 
			
			$key3 = RepozytoriumKategoriaPeer::getPrimaryKeyHashFromRow($row, $startcol3);
			if ($key3 !== null) {
				$obj3 = RepozytoriumKategoriaPeer::getInstanceFromPool($key3);
				if (!$obj3) {

					$omClass = RepozytoriumKategoriaPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj3 = new $cls();
					$obj3->hydrate($row, $startcol3);
					RepozytoriumKategoriaPeer::addInstanceToPool($obj3, $key3);
				} 
								$obj3->addRepozytoriumKategoriaMap($obj1);
			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAllExceptRepozytorium(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			RepozytoriumKategoriaMapPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaMapPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
	
				$criteria->addJoin(array(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_KATEGORIA_ID,), array(RepozytoriumKategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doCountJoinAllExceptRepozytoriumKategoria(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			RepozytoriumKategoriaMapPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaMapPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
	
				$criteria->addJoin(array(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_ID,), array(RepozytoriumPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinAllExceptRepozytorium(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		RepozytoriumKategoriaMapPeer::addSelectColumns($c);
		$startcol2 = (RepozytoriumKategoriaMapPeer::NUM_COLUMNS - RepozytoriumKategoriaMapPeer::NUM_LAZY_LOAD_COLUMNS);

		RepozytoriumKategoriaPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (RepozytoriumKategoriaPeer::NUM_COLUMNS - RepozytoriumKategoriaPeer::NUM_LAZY_LOAD_COLUMNS);

				$c->addJoin(array(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_KATEGORIA_ID,), array(RepozytoriumKategoriaPeer::ID,), $join_behavior);

		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = RepozytoriumKategoriaMapPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = RepozytoriumKategoriaMapPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = RepozytoriumKategoriaMapPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				RepozytoriumKategoriaMapPeer::addInstanceToPool($obj1, $key1);
			} 
				
				$key2 = RepozytoriumKategoriaPeer::getPrimaryKeyHashFromRow($row, $startcol2);
				if ($key2 !== null) {
					$obj2 = RepozytoriumKategoriaPeer::getInstanceFromPool($key2);
					if (!$obj2) {
	
						$omClass = RepozytoriumKategoriaPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					RepozytoriumKategoriaPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addRepozytoriumKategoriaMap($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doSelectJoinAllExceptRepozytoriumKategoria(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		RepozytoriumKategoriaMapPeer::addSelectColumns($c);
		$startcol2 = (RepozytoriumKategoriaMapPeer::NUM_COLUMNS - RepozytoriumKategoriaMapPeer::NUM_LAZY_LOAD_COLUMNS);

		RepozytoriumPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (RepozytoriumPeer::NUM_COLUMNS - RepozytoriumPeer::NUM_LAZY_LOAD_COLUMNS);

				$c->addJoin(array(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_ID,), array(RepozytoriumPeer::ID,), $join_behavior);

		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = RepozytoriumKategoriaMapPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = RepozytoriumKategoriaMapPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = RepozytoriumKategoriaMapPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				RepozytoriumKategoriaMapPeer::addInstanceToPool($obj1, $key1);
			} 
				
				$key2 = RepozytoriumPeer::getPrimaryKeyHashFromRow($row, $startcol2);
				if ($key2 !== null) {
					$obj2 = RepozytoriumPeer::getInstanceFromPool($key2);
					if (!$obj2) {
	
						$omClass = RepozytoriumPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					RepozytoriumPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addRepozytoriumKategoriaMap($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return RepozytoriumKategoriaMapPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaMapPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaMapPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_ID);
			$selectCriteria->add(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_ID, $criteria->remove(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_ID), $comparison);

			$comparison = $criteria->getComparison(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_KATEGORIA_ID);
			$selectCriteria->add(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_KATEGORIA_ID, $criteria->remove(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_KATEGORIA_ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaMapPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(RepozytoriumKategoriaMapPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaMapPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												RepozytoriumKategoriaMapPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof RepozytoriumKategoriaMap) {
						RepozytoriumKategoriaMapPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
												if (count($values) == count($values, COUNT_RECURSIVE)) {
								$values = array($values);
			}

			foreach ($values as $value) {

				$criterion = $criteria->getNewCriterion(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_ID, $value[0]);
				$criterion->addAnd($criteria->getNewCriterion(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_KATEGORIA_ID, $value[1]));
				$criteria->addOr($criterion);

								RepozytoriumKategoriaMapPeer::removeInstanceFromPool($value);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(RepozytoriumKategoriaMap $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(RepozytoriumKategoriaMapPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(RepozytoriumKategoriaMapPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(RepozytoriumKategoriaMapPeer::DATABASE_NAME, RepozytoriumKategoriaMapPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = RepozytoriumKategoriaMapPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($repozytorium_id, $repozytorium_kategoria_id, PropelPDO $con = null) {
		$key = serialize(array((string) $repozytorium_id, (string) $repozytorium_kategoria_id));
 		if (null !== ($obj = RepozytoriumKategoriaMapPeer::getInstanceFromPool($key))) {
 			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaMapPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
		$criteria = new Criteria(RepozytoriumKategoriaMapPeer::DATABASE_NAME);
		$criteria->add(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_ID, $repozytorium_id);
		$criteria->add(RepozytoriumKategoriaMapPeer::REPOZYTORIUM_KATEGORIA_ID, $repozytorium_kategoria_id);
		$v = RepozytoriumKategoriaMapPeer::doSelect($criteria, $con);

		return !empty($v) ? $v[0] : null;
	}
} 

Propel::getDatabaseMap(BaseRepozytoriumKategoriaMapPeer::DATABASE_NAME)->addTableBuilder(BaseRepozytoriumKategoriaMapPeer::TABLE_NAME, BaseRepozytoriumKategoriaMapPeer::getMapBuilder());

