<?php


abstract class BaseRepozytoriumKategoriaPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'repozytorium_kategoria';

	
	const CLASS_DEFAULT = 'lib.model.RepozytoriumKategoria';

	
	const NUM_COLUMNS = 8;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const ID = 'repozytorium_kategoria.ID';

	
	const PORTAL_ID = 'repozytorium_kategoria.PORTAL_ID';

	
	const NAZWA = 'repozytorium_kategoria.NAZWA';

	
	const OPIS = 'repozytorium_kategoria.OPIS';

	
	const WIDOCZNA = 'repozytorium_kategoria.WIDOCZNA';

	
	const KOLEJNOSC = 'repozytorium_kategoria.KOLEJNOSC';

	
	const CREATED_AT = 'repozytorium_kategoria.CREATED_AT';

	
	const UPDATED_AT = 'repozytorium_kategoria.UPDATED_AT';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'PortalId', 'Nazwa', 'Opis', 'Widoczna', 'Kolejnosc', 'CreatedAt', 'UpdatedAt', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id', 'portalId', 'nazwa', 'opis', 'widoczna', 'kolejnosc', 'createdAt', 'updatedAt', ),
		BasePeer::TYPE_COLNAME => array (self::ID, self::PORTAL_ID, self::NAZWA, self::OPIS, self::WIDOCZNA, self::KOLEJNOSC, self::CREATED_AT, self::UPDATED_AT, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'portal_id', 'nazwa', 'opis', 'widoczna', 'kolejnosc', 'created_at', 'updated_at', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'PortalId' => 1, 'Nazwa' => 2, 'Opis' => 3, 'Widoczna' => 4, 'Kolejnosc' => 5, 'CreatedAt' => 6, 'UpdatedAt' => 7, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id' => 0, 'portalId' => 1, 'nazwa' => 2, 'opis' => 3, 'widoczna' => 4, 'kolejnosc' => 5, 'createdAt' => 6, 'updatedAt' => 7, ),
		BasePeer::TYPE_COLNAME => array (self::ID => 0, self::PORTAL_ID => 1, self::NAZWA => 2, self::OPIS => 3, self::WIDOCZNA => 4, self::KOLEJNOSC => 5, self::CREATED_AT => 6, self::UPDATED_AT => 7, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'portal_id' => 1, 'nazwa' => 2, 'opis' => 3, 'widoczna' => 4, 'kolejnosc' => 5, 'created_at' => 6, 'updated_at' => 7, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new RepozytoriumKategoriaMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(RepozytoriumKategoriaPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(RepozytoriumKategoriaPeer::ID);

		$criteria->addSelectColumn(RepozytoriumKategoriaPeer::PORTAL_ID);

		$criteria->addSelectColumn(RepozytoriumKategoriaPeer::NAZWA);

		$criteria->addSelectColumn(RepozytoriumKategoriaPeer::OPIS);

		$criteria->addSelectColumn(RepozytoriumKategoriaPeer::WIDOCZNA);

		$criteria->addSelectColumn(RepozytoriumKategoriaPeer::KOLEJNOSC);

		$criteria->addSelectColumn(RepozytoriumKategoriaPeer::CREATED_AT);

		$criteria->addSelectColumn(RepozytoriumKategoriaPeer::UPDATED_AT);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(RepozytoriumKategoriaPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			RepozytoriumKategoriaPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = RepozytoriumKategoriaPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return RepozytoriumKategoriaPeer::populateObjects(RepozytoriumKategoriaPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			RepozytoriumKategoriaPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(RepozytoriumKategoria $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = (string) $obj->getId();
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof RepozytoriumKategoria) {
				$key = (string) $value->getId();
			} elseif (is_scalar($value)) {
								$key = (string) $value;
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or RepozytoriumKategoria object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null) {
			return null;
		}
		return (string) $row[$startcol + 0];
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = RepozytoriumKategoriaPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = RepozytoriumKategoriaPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = RepozytoriumKategoriaPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				RepozytoriumKategoriaPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

	
	public static function doCountJoinPortal(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(RepozytoriumKategoriaPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			RepozytoriumKategoriaPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(RepozytoriumKategoriaPeer::PORTAL_ID,), array(PortalPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinPortal(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		RepozytoriumKategoriaPeer::addSelectColumns($c);
		$startcol = (RepozytoriumKategoriaPeer::NUM_COLUMNS - RepozytoriumKategoriaPeer::NUM_LAZY_LOAD_COLUMNS);
		PortalPeer::addSelectColumns($c);

		$c->addJoin(array(RepozytoriumKategoriaPeer::PORTAL_ID,), array(PortalPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = RepozytoriumKategoriaPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = RepozytoriumKategoriaPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = RepozytoriumKategoriaPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				RepozytoriumKategoriaPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = PortalPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = PortalPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = PortalPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					PortalPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addRepozytoriumKategoria($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(RepozytoriumKategoriaPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			RepozytoriumKategoriaPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(RepozytoriumKategoriaPeer::PORTAL_ID,), array(PortalPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}

	
	public static function doSelectJoinAll(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		RepozytoriumKategoriaPeer::addSelectColumns($c);
		$startcol2 = (RepozytoriumKategoriaPeer::NUM_COLUMNS - RepozytoriumKategoriaPeer::NUM_LAZY_LOAD_COLUMNS);

		PortalPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (PortalPeer::NUM_COLUMNS - PortalPeer::NUM_LAZY_LOAD_COLUMNS);

		$c->addJoin(array(RepozytoriumKategoriaPeer::PORTAL_ID,), array(PortalPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = RepozytoriumKategoriaPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = RepozytoriumKategoriaPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = RepozytoriumKategoriaPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				RepozytoriumKategoriaPeer::addInstanceToPool($obj1, $key1);
			} 
			
			$key2 = PortalPeer::getPrimaryKeyHashFromRow($row, $startcol2);
			if ($key2 !== null) {
				$obj2 = PortalPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = PortalPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					PortalPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addRepozytoriumKategoria($obj1);
			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return RepozytoriumKategoriaPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		if ($criteria->containsKey(RepozytoriumKategoriaPeer::ID) && $criteria->keyContainsValue(RepozytoriumKategoriaPeer::ID) ) {
			throw new PropelException('Cannot insert a value for auto-increment primary key ('.RepozytoriumKategoriaPeer::ID.')');
		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(RepozytoriumKategoriaPeer::ID);
			$selectCriteria->add(RepozytoriumKategoriaPeer::ID, $criteria->remove(RepozytoriumKategoriaPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(RepozytoriumKategoriaPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												RepozytoriumKategoriaPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof RepozytoriumKategoria) {
						RepozytoriumKategoriaPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(RepozytoriumKategoriaPeer::ID, (array) $values, Criteria::IN);

			foreach ((array) $values as $singleval) {
								RepozytoriumKategoriaPeer::removeInstanceFromPool($singleval);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

						RepozytoriumKategoriaMapPeer::clearInstancePool();

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(RepozytoriumKategoria $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(RepozytoriumKategoriaPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(RepozytoriumKategoriaPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(RepozytoriumKategoriaPeer::DATABASE_NAME, RepozytoriumKategoriaPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = RepozytoriumKategoriaPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, PropelPDO $con = null)
	{

		if (null !== ($obj = RepozytoriumKategoriaPeer::getInstanceFromPool((string) $pk))) {
			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria = new Criteria(RepozytoriumKategoriaPeer::DATABASE_NAME);
		$criteria->add(RepozytoriumKategoriaPeer::ID, $pk);

		$v = RepozytoriumKategoriaPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumKategoriaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria(RepozytoriumKategoriaPeer::DATABASE_NAME);
			$criteria->add(RepozytoriumKategoriaPeer::ID, $pks, Criteria::IN);
			$objs = RepozytoriumKategoriaPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 

Propel::getDatabaseMap(BaseRepozytoriumKategoriaPeer::DATABASE_NAME)->addTableBuilder(BaseRepozytoriumKategoriaPeer::TABLE_NAME, BaseRepozytoriumKategoriaPeer::getMapBuilder());

