<?php use_helper('I18N', 'Date') ?>
    
<?php slot('top'); ?>
<?php GenerateTab('repo'); ?>
<?php end_slot(); ?>

<?php slot('actions'); ?>
<?php GenerateButton(6, __('Dodaj'), "document.location.href=('".url_for('repozytorium/new')."');"); ?>
<?php end_slot(); ?>

<?php slot('message'); ?>
<span id="updater">
    <?php include_partial('frontend/flashes'); ?>
</span>
<?php end_slot(); ?>

<div class="modul_box" style="width: 100%;">
    <div id="cms_center_panel">
        <div id="cms_center_panel_content">
            <?php include_partial('repozytorium/content_menu'); ?>
            <div id="sf_admin_bar">
                <?php include_partial('repozytorium/filters', array('form' => $filters, 'configuration' => $configuration)) ?>
            </div>
        </div>
    </div>

    <div id="cms_right_panel">
        <div class="right_item_title">
            <?php echo __('Repozytorium plików', array(), 'messages') ?>
        </div>

        <div id="sf_admin_content">
            <form action="<?php echo url_for('repozytorium_collection', array('action' => 'batch')) ?>" method="post">
                <?php include_partial('repozytorium/list', array('pager' => $pager, 'sort' => $sort, 'helper' => $helper)) ?>
                <ul class="sf_admin_actions">
                    <div style="margin: 4px 0px 0px 0px; float: left;">
                        <?php include_partial('repozytorium/list_batch_actions', array('helper' => $helper)) ?>
                    </div>
                    <div style="margin: 4px 0px 0px 0px; float: right;">
                        <?php include_partial('repozytorium/list_actions', array('helper' => $helper)) ?>
                    </div>
                </ul>
            </form>
        </div>

    </div>
</div>
