<?php

/**
 * Repozytorium filter form.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class RepozytoriumFormFilter extends BaseRepozytoriumFormFilter
{

    public function configure()
    {
        $this->setWidget('nazwa', new sfWidgetFormFilterInput(array('with_empty' => false), array('style' => 'margin: 3px 0 0 5px;')));
        $this->setWidget('format_pliku', new sfWidgetFormFilterInput(array('with_empty' => false), array('style' => 'margin: 3px 0 0 5px;')));
        $this->setWidget('opis', new sfWidgetFormFilterInput(array('with_empty' => false), array('style' => 'margin: 3px 0 0 5px;')));
        $this->setWidget('created_at', new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormInputDateTimeRich(array(), array('style' => 'margin: 3px 0 0 5px; width: 126px;')), 'to_date' => new sfWidgetFormInputDateTimeRich(array(), array('style' => 'margin: 3px 0 0 5px; width: 126px;')), 'with_empty' => false, 'template' => 'od: %from_date% <br/>do: %to_date%')));

        $this->setValidator('created_at', new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))));


        $this->widgetSchema->setNameFormat('repozytorium_filters[%s]');

        $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);
    }

}