<?php

/**
 * RepozytoriumKategoriaMap form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseRepozytoriumKategoriaMapForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'repozytorium_id'           => new sfWidgetFormInputHidden(),
      'repozytorium_kategoria_id' => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'repozytorium_id'           => new sfValidatorPropelChoice(array('model' => 'Repozytorium', 'column' => 'id', 'required' => false)),
      'repozytorium_kategoria_id' => new sfValidatorPropelChoice(array('model' => 'RepozytoriumKategoria', 'column' => 'id', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('repozytorium_kategoria_map[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'RepozytoriumKategoriaMap';
  }


}
