<?php

/**
 * RepozytoriumModulMap form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseRepozytoriumModulMapForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'repozytorium_id' => new sfWidgetFormInputHidden(),
      'modul_id'        => new sfWidgetFormInputHidden(),
      'object_id'       => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'repozytorium_id' => new sfValidatorPropelChoice(array('model' => 'Repozytorium', 'column' => 'id', 'required' => false)),
      'modul_id'        => new sfValidatorPropelChoice(array('model' => 'Modul', 'column' => 'id', 'required' => false)),
      'object_id'       => new sfValidatorPropelChoice(array('model' => 'RepozytoriumModulMap', 'column' => 'object_id', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('repozytorium_modul_map[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'RepozytoriumModulMap';
  }


}
