<?php

class RepozytoriumKategoriaPeer extends BaseRepozytoriumKategoriaPeer
{
    /**
     * metoda zwracajaca najwieksza uzyta kolejnosc 
     * @return      int najwieksza uzyta kolejnosc
     * @author      Tomasz Glowinski, 2015
     */
    public static function getMaxKolejnosc()
    {
        $c = new Criteria();
        $c->add(self::PORTAL_ID, sfConfig::get('portal')->getId());
        $c->addAsColumn('max', 'max('.self::KOLEJNOSC.')');
        $c->setLimit(1);
        $c->clearSelectColumns()
            ->addSelectColumn('MAX('.self::KOLEJNOSC.') as max');
        
        $rs = self::doSelectStmt($c)->fetchAll(PDO::FETCH_ASSOC);
        
        if(empty($rs) || empty($rs[0]['max']))
            return 0;
        else
            return $rs[0]['max'];
    }
}