<?php



class RepozytoriumModulMapMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.RepozytoriumModulMapMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(RepozytoriumModulMapPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(RepozytoriumModulMapPeer::TABLE_NAME);
		$tMap->setPhpName('RepozytoriumModulMap');
		$tMap->setClassname('RepozytoriumModulMap');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('REPOZYTORIUM_ID', 'RepozytoriumId', 'INTEGER' , 'repozytorium', 'ID', true, null);

		$tMap->addForeignPrimaryKey('MODUL_ID', 'ModulId', 'INTEGER' , 'modul', 'ID', true, null);

		$tMap->addPrimaryKey('OBJECT_ID', 'ObjectId', 'INTEGER', true, null);

	} 
} 