<?php


abstract class BaseRepozytoriumPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'repozytorium';

	
	const CLASS_DEFAULT = 'lib.model.Repozytorium';

	
	const NUM_COLUMNS = 15;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const ID = 'repozytorium.ID';

	
	const PORTAL_ID = 'repozytorium.PORTAL_ID';

	
	const SCIEZKA = 'repozytorium.SCIEZKA';

	
	const NAZWA_PLIKU = 'repozytorium.NAZWA_PLIKU';

	
	const NAZWA_ORG = 'repozytorium.NAZWA_ORG';

	
	const ROZMIAR_PLIKU = 'repozytorium.ROZMIAR_PLIKU';

	
	const FORMAT_PLIKU = 'repozytorium.FORMAT_PLIKU';

	
	const MIME_TYPE = 'repozytorium.MIME_TYPE';

	
	const TRESC_PLIKU = 'repozytorium.TRESC_PLIKU';

	
	const NAZWA = 'repozytorium.NAZWA';

	
	const OPIS = 'repozytorium.OPIS';

	
	const ILOSC_POBRAN = 'repozytorium.ILOSC_POBRAN';

	
	const ILOSC_DOWIAZAN = 'repozytorium.ILOSC_DOWIAZAN';

	
	const CREATED_AT = 'repozytorium.CREATED_AT';

	
	const UPDATED_AT = 'repozytorium.UPDATED_AT';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'PortalId', 'Sciezka', 'NazwaPliku', 'NazwaOrg', 'RozmiarPliku', 'FormatPliku', 'MimeType', 'TrescPliku', 'Nazwa', 'Opis', 'IloscPobran', 'IloscDowiazan', 'CreatedAt', 'UpdatedAt', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id', 'portalId', 'sciezka', 'nazwaPliku', 'nazwaOrg', 'rozmiarPliku', 'formatPliku', 'mimeType', 'trescPliku', 'nazwa', 'opis', 'iloscPobran', 'iloscDowiazan', 'createdAt', 'updatedAt', ),
		BasePeer::TYPE_COLNAME => array (self::ID, self::PORTAL_ID, self::SCIEZKA, self::NAZWA_PLIKU, self::NAZWA_ORG, self::ROZMIAR_PLIKU, self::FORMAT_PLIKU, self::MIME_TYPE, self::TRESC_PLIKU, self::NAZWA, self::OPIS, self::ILOSC_POBRAN, self::ILOSC_DOWIAZAN, self::CREATED_AT, self::UPDATED_AT, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'portal_id', 'sciezka', 'nazwa_pliku', 'nazwa_org', 'rozmiar_pliku', 'format_pliku', 'mime_type', 'tresc_pliku', 'nazwa', 'opis', 'ilosc_pobran', 'ilosc_dowiazan', 'created_at', 'updated_at', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'PortalId' => 1, 'Sciezka' => 2, 'NazwaPliku' => 3, 'NazwaOrg' => 4, 'RozmiarPliku' => 5, 'FormatPliku' => 6, 'MimeType' => 7, 'TrescPliku' => 8, 'Nazwa' => 9, 'Opis' => 10, 'IloscPobran' => 11, 'IloscDowiazan' => 12, 'CreatedAt' => 13, 'UpdatedAt' => 14, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id' => 0, 'portalId' => 1, 'sciezka' => 2, 'nazwaPliku' => 3, 'nazwaOrg' => 4, 'rozmiarPliku' => 5, 'formatPliku' => 6, 'mimeType' => 7, 'trescPliku' => 8, 'nazwa' => 9, 'opis' => 10, 'iloscPobran' => 11, 'iloscDowiazan' => 12, 'createdAt' => 13, 'updatedAt' => 14, ),
		BasePeer::TYPE_COLNAME => array (self::ID => 0, self::PORTAL_ID => 1, self::SCIEZKA => 2, self::NAZWA_PLIKU => 3, self::NAZWA_ORG => 4, self::ROZMIAR_PLIKU => 5, self::FORMAT_PLIKU => 6, self::MIME_TYPE => 7, self::TRESC_PLIKU => 8, self::NAZWA => 9, self::OPIS => 10, self::ILOSC_POBRAN => 11, self::ILOSC_DOWIAZAN => 12, self::CREATED_AT => 13, self::UPDATED_AT => 14, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'portal_id' => 1, 'sciezka' => 2, 'nazwa_pliku' => 3, 'nazwa_org' => 4, 'rozmiar_pliku' => 5, 'format_pliku' => 6, 'mime_type' => 7, 'tresc_pliku' => 8, 'nazwa' => 9, 'opis' => 10, 'ilosc_pobran' => 11, 'ilosc_dowiazan' => 12, 'created_at' => 13, 'updated_at' => 14, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new RepozytoriumMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(RepozytoriumPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(RepozytoriumPeer::ID);

		$criteria->addSelectColumn(RepozytoriumPeer::PORTAL_ID);

		$criteria->addSelectColumn(RepozytoriumPeer::SCIEZKA);

		$criteria->addSelectColumn(RepozytoriumPeer::NAZWA_PLIKU);

		$criteria->addSelectColumn(RepozytoriumPeer::NAZWA_ORG);

		$criteria->addSelectColumn(RepozytoriumPeer::ROZMIAR_PLIKU);

		$criteria->addSelectColumn(RepozytoriumPeer::FORMAT_PLIKU);

		$criteria->addSelectColumn(RepozytoriumPeer::MIME_TYPE);

		$criteria->addSelectColumn(RepozytoriumPeer::TRESC_PLIKU);

		$criteria->addSelectColumn(RepozytoriumPeer::NAZWA);

		$criteria->addSelectColumn(RepozytoriumPeer::OPIS);

		$criteria->addSelectColumn(RepozytoriumPeer::ILOSC_POBRAN);

		$criteria->addSelectColumn(RepozytoriumPeer::ILOSC_DOWIAZAN);

		$criteria->addSelectColumn(RepozytoriumPeer::CREATED_AT);

		$criteria->addSelectColumn(RepozytoriumPeer::UPDATED_AT);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(RepozytoriumPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			RepozytoriumPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = RepozytoriumPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return RepozytoriumPeer::populateObjects(RepozytoriumPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			RepozytoriumPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(Repozytorium $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = (string) $obj->getId();
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof Repozytorium) {
				$key = (string) $value->getId();
			} elseif (is_scalar($value)) {
								$key = (string) $value;
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or Repozytorium object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null) {
			return null;
		}
		return (string) $row[$startcol + 0];
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = RepozytoriumPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = RepozytoriumPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = RepozytoriumPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				RepozytoriumPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

	
	public static function doCountJoinPortal(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(RepozytoriumPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			RepozytoriumPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(RepozytoriumPeer::PORTAL_ID,), array(PortalPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinPortal(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		RepozytoriumPeer::addSelectColumns($c);
		$startcol = (RepozytoriumPeer::NUM_COLUMNS - RepozytoriumPeer::NUM_LAZY_LOAD_COLUMNS);
		PortalPeer::addSelectColumns($c);

		$c->addJoin(array(RepozytoriumPeer::PORTAL_ID,), array(PortalPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = RepozytoriumPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = RepozytoriumPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = RepozytoriumPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				RepozytoriumPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = PortalPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = PortalPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = PortalPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					PortalPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addRepozytorium($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(RepozytoriumPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			RepozytoriumPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(RepozytoriumPeer::PORTAL_ID,), array(PortalPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}

	
	public static function doSelectJoinAll(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		RepozytoriumPeer::addSelectColumns($c);
		$startcol2 = (RepozytoriumPeer::NUM_COLUMNS - RepozytoriumPeer::NUM_LAZY_LOAD_COLUMNS);

		PortalPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (PortalPeer::NUM_COLUMNS - PortalPeer::NUM_LAZY_LOAD_COLUMNS);

		$c->addJoin(array(RepozytoriumPeer::PORTAL_ID,), array(PortalPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = RepozytoriumPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = RepozytoriumPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = RepozytoriumPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				RepozytoriumPeer::addInstanceToPool($obj1, $key1);
			} 
			
			$key2 = PortalPeer::getPrimaryKeyHashFromRow($row, $startcol2);
			if ($key2 !== null) {
				$obj2 = PortalPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = PortalPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					PortalPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addRepozytorium($obj1);
			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return RepozytoriumPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		if ($criteria->containsKey(RepozytoriumPeer::ID) && $criteria->keyContainsValue(RepozytoriumPeer::ID) ) {
			throw new PropelException('Cannot insert a value for auto-increment primary key ('.RepozytoriumPeer::ID.')');
		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(RepozytoriumPeer::ID);
			$selectCriteria->add(RepozytoriumPeer::ID, $criteria->remove(RepozytoriumPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(RepozytoriumPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												RepozytoriumPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof Repozytorium) {
						RepozytoriumPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(RepozytoriumPeer::ID, (array) $values, Criteria::IN);

			foreach ((array) $values as $singleval) {
								RepozytoriumPeer::removeInstanceFromPool($singleval);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

						RepozytoriumKategoriaMapPeer::clearInstancePool();

						RepozytoriumModulMapPeer::clearInstancePool();

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(Repozytorium $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(RepozytoriumPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(RepozytoriumPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(RepozytoriumPeer::DATABASE_NAME, RepozytoriumPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = RepozytoriumPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, PropelPDO $con = null)
	{

		if (null !== ($obj = RepozytoriumPeer::getInstanceFromPool((string) $pk))) {
			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria = new Criteria(RepozytoriumPeer::DATABASE_NAME);
		$criteria->add(RepozytoriumPeer::ID, $pk);

		$v = RepozytoriumPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RepozytoriumPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria(RepozytoriumPeer::DATABASE_NAME);
			$criteria->add(RepozytoriumPeer::ID, $pks, Criteria::IN);
			$objs = RepozytoriumPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 

Propel::getDatabaseMap(BaseRepozytoriumPeer::DATABASE_NAME)->addTableBuilder(BaseRepozytoriumPeer::TABLE_NAME, BaseRepozytoriumPeer::getMapBuilder());

